Retry a webhook - Dwolla Developer Portal
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
POST
https://api.dwolla.comhttps://api-sandbox.dwolla.com
/webhooks/{id}/retries
cURL
POST https://api-sandbox.dwolla.com/webhooks/9ece9660-aa34-41eb-80d7-0125d53b45e8/retries
Accept: application/vnd.dwolla.v1.hal+json
Content-Type: application/vnd.dwolla.v1.hal+json
Authorization: Bearer pBA9fVDBEyYZCEsLf/wKehyh1RTpzjUj5KzIRfDi0wKTii7DqY
Using dwolla-v2 - https://github.com/Dwolla/dwolla-v2-node
var webhookUrl =
"https://api-sandbox.dwolla.com/webhooks/9ece9660-aa34-41eb-80d7-0125d53b45e8";
dwolla.post(`${webhookUrl}/retries`);
Using dwollav2 - https://github.com/Dwolla/dwolla-v2-python
webhook_url = 'https://api-sandbox.dwolla.com/webhooks/9ece9660-aa34-41eb-80d7-0125d53b45e8'
app_token.post('%s/retries' % webhook_url)
Using dwollaswagger - https://github.com/Dwolla/dwolla-swagger-php
$webhookUrl = 'https://api-sandbox.dwolla.com/webhooks/9ece9660-aa34-41eb-80d7-0125d53b45e8';
$webhooksApi = new DwollaSwagger\WebhooksApi($apiClient);
$webhooksApi->retryWebhook($webhookUrl);
Using dwolla_v2 - https://github.com/Dwolla/dwolla-v2-ruby
webhook_url = 'https://api-sandbox.dwolla.com/webhooks/9ece9660-aa34-41eb-80d7-0125d53b45e8'
app_token.post "#{webhook_url}/retries"
Response
404
{
"code": "NotFound",
"message": "The requested resource was not found."
}
Authorizations
Authorization
- Type: string
- In: header
- Required: true
- Description: The access token received from the authorization server in the OAuth 2.0 flow.
Headers
- Accept
- Type: enum
- Default: application/vnd.dwolla.v1.hal+json
- Required: true
- Description: The media type of the response. Must be application/vnd.dwolla.v1.hal+json
- Type: enum
Available options:
application/vnd.dwolla.v1.hal+json
Path Parameters
- id
- Type: string
- Required: true
- Description: Webhook unique identifier
Response
201 created